English ▼
Skip to page content Skip to main navigation
e.g. "templates" or "datastore"

# The Transport Class

#### Experimental!

ProtoRPC is an experimental, innovative, and rapidly changing new feature for App Engine. Unfortunately, being on the bleeding edge means that we may make backwards-incompatible changes to ProtoRPC. We will inform the community when this feature is no longer experimental.

Transport is the base class for implementing a ProtoRPC transport. Transports allow you to send and receive messages over HTTP.

This method receives an encoded response as determined by the transport's configured protocol. The transport is expected to set the RPC response or raise an exception before termination.

Note: Asynchronous transports are not supported.

`Transport` is provided by the `protorpc.transport` module.

- Transport()
- Class Property
  - protocol()
- Instance Methods
  - send_rpc()

## Constructor

class Transport (protocol=protobuf)

  Instantiates a Transport object.

  Arguments:

  protocol=protobuf
    The protocol implementation. Must implement `encode_message()` and `decode_message()`, which are available in other protocols, such as `protorpc.protojson`, `protorpc.protobuf`, and `protorpc.protojson`.

## Class Property

The Transport class provides the following property:

protocol()
  The protocol associated with this transport.

## Instance Methods

Transport instances have the following method:

send_rpc(remote_info, request)
  Initiate sending an RPC over the transport.

  Arguments:

  remote_info
    The remote information object associated with the remote method.